<%= javascript_include_tag "decidim/slug_form" %>

<div class="card">
  <div class="card-divider">
    <h2 class="card-title"><%= t ".homepage_appearance_title" %></h2>
  </div>
  <div class="card-section">
    <div class="row column">
      <%= form.check_box :show_statistics %>
    </div>

    <div class="row column">
      <%= form.translated :editor, :description %>
    </div>

    <div class="row">
      <div class="columns xlarge-6 slug">
        <%= form.text_field :cta_button_path %>
        <p class="help-text"><%== t(".cta_button_path_help", url: decidim_form_slug_url("", form.object.cta_button_path)) %></p>
      </div>

      <div class="columns xlarge-6">
        <%= form.translated :text_field, :cta_button_text %>
        <p class="help-text"><%= t(".cta_button_text_help") %></p>
      </div>
    </div>
  </div>
</div>

<div class="card">
  <div class="card-divider">
    <h2 class="card-title"><%= t ".homepage_highlighted_content_banner_title" %></h2>
  </div>
  <div class="card-section">
    <div class="row column">
      <%= form.check_box :highlighted_content_banner_enabled %>
    </div>

    <div class="row column">
      <%= form.translated :text_area, :highlighted_content_banner_title %>
    </div>

    <div class="row column">
      <%= form.translated :editor, :highlighted_content_banner_short_description %>
    </div>

    <div class="row column">
      <%= form.translated :text_area, :highlighted_content_banner_action_title %>
    </div>

    <div class="row column">
      <%= form.translated :text_area, :highlighted_content_banner_action_subtitle %>
    </div>

    <div class="row column">
      <%= form.url_field :highlighted_content_banner_action_url %>
    </div>

    <div class="row">
      <div class="columns xlarge-6">
        <%= form.upload :highlighted_content_banner_image %>
      </div>
    </div>
  </div>
</div>

<div class="card">
  <div class="card-divider">
    <h2 class="card-title"><%= t ".omnipresent_banner_appearance_title" %></h2>
  </div>
  <div class="card-section">
    <div class="row column">
      <%= form.check_box :enable_omnipresent_banner %>
    </div>

    <div class="row column">
      <%= form.translated :text_field, :omnipresent_banner_title %>
    </div>

    <div class="row column">
      <%= form.translated :text_field, :omnipresent_banner_short_description %>
    </div>

    <div class="row column">
      <%= form.url_field :omnipresent_banner_url %>
    </div>
  </div>
</div>

<div class="card">
  <div class="card-divider">
    <h2 class="card-title"><%= t ".layout_appearance_title" %></h2>
  </div>
  <div class="card-section">
    <div class="row">
      <div class="columns xlarge-6">
        <%= form.upload :logo %>
      </div>

      <div class="columns xlarge-6">
        <%= form.upload :favicon %>
      </div>
    </div>

    <div class="row">
      <div class="columns xlarge-6">
        <%= form.upload :official_img_header %>
      </div>

      <div class="columns xlarge-6">
        <%= form.upload :official_img_footer %>
      </div>
    </div>

    <div class="row">
      <div class="columns xlarge-6">
        <%= form.text_field :official_url %>
      </div>
    </div>

    <% if Decidim.enable_html_header_snippets %>
      <div class="row column">
        <%= form.text_area :header_snippets %>
        <p class="help-text"><%= t(".header_snippets_help") %></p>
      </div>
    <% end %>
  </div>
</div>

<div class="card">
  <div class="card-divider">
    <h2 class="card-title"><%= t ".colors_title" %></h2>
  </div>

  <div class="card-section">
    <%= form.check_box :enable_custom_colors, checked: current_organization.colors.present? %>
  </div>

  <div class="card-section <%= "hide" if current_organization.colors.empty? %>" id="custom_colors_wrapper">
    <div class="row">
      <div class="columns xlarge-6">
        <%= form.color_field :primary_color, value: current_organization.colors["primary"] %>
      </div>

      <div class="columns xlarge-6">
        <%= form.color_field :secondary_color, value: current_organization.colors["secondary"] %>
      </div>
    </div>

    <div class="row">
      <div class="columns xlarge-6">
        <%= form.color_field :success_color, value: current_organization.colors["success"] %>
      </div>

      <div class="columns xlarge-6">
        <%= form.color_field :warning_color, value: current_organization.colors["warning"] %>
      </div>
    </div>

    <div class="row">
      <div class="columns xlarge-6">
        <%= form.color_field :alert_color, value: current_organization.colors["alert"] %>
      </div>
    </div>
  </div>
</div>
